Debian Bug report logs - #540018
libvirt-bin: net-autostart lies about marking network as auto-started

version graph

Package: libvirt-bin; Maintainer for libvirt-bin is Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>; Source for libvirt-bin is src:libvirt.

Reported by: Tollef Fog Heen <tfheen@err.no>

Date: Wed, 5 Aug 2009 07:36:01 UTC

Severity: normal

Found in version libvirt/0.6.4-1

Fixed in version 0.6.5-3

Done: Guido Günther <agx@sigxcpu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tfheen@err.no, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#540018; Package libvirt-bin. (Wed, 05 Aug 2009 07:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
New Bug report received and forwarded. Copy sent to tfheen@err.no, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Wed, 05 Aug 2009 07:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libvirt-bin: net-autostart lies about marking network as auto-started
Date: Wed, 05 Aug 2009 09:34:33 +0200
Package: libvirt-bin
Version: 0.6.4-1
Severity: normal

I seems like net-autostart doesn't actually do what it says it does:

: tfheen@qurzaw /etc/libvirt/qemu/networks > ls autostart
: tfheen@qurzaw /etc/libvirt/qemu/networks > virsh
libvir: Network Config error : cannot create bridge 'virbr0': Operation not permitted
09:29:20.778: warning : remoteReadConfigFile:2569 : Cannot set group when not running as root
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit

virsh # net-autostart default
Network default marked as autostarted

virsh #
: tfheen@qurzaw /etc/libvirt/qemu/networks > ls autostart
: tfheen@qurzaw /etc/libvirt/qemu/networks >

Running as root works:

: tfheen@qurzaw /etc/libvirt/qemu/networks > sudo virsh
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit

virsh # net-autostart default
Network default marked as autostarted

virsh #
: tfheen@qurzaw /etc/libvirt/qemu/networks > ls autostart
default.xml@
: tfheen@qurzaw /etc/libvirt/qemu/networks >

(the reason for some ubuntu versions below is this box used to run
Ubuntu, I doubt they are particularly relevant to this bug.  It's
running Debian now.)

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (50, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=nb_NO.UTF-8, LC_CTYPE=nb_NO.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libvirt-bin depends on:
ii  adduser  3.110                           add and remove users and groups
ii  libavahi 0.6.25-1                        Avahi client library
ii  libavahi 0.6.25-1                        Avahi common library
ii  libc6    2.9-12                          GNU C Library: Shared libraries
ii  libdbus- 1.2.16-2                        simple interprocess messaging syst
ii  libdevma 2:1.02.30-3                     The Linux Kernel Device Mapper use
ii  libgcryp 1.4.4-3                         LGPL Crypto library - runtime libr
ii  libgnutl 2.6.6-1                         the GNU TLS library - runtime libr
ii  libgpg-e 1.6-1                           library for common error values an
ii  libhal1  0.5.12~rc1+git20090403-0ubuntu4 Hardware Abstraction Layer - share
ii  libparte 1.8.8.git.2008.03.24-11.1       The GNU Parted disk partitioning s
ii  libpolki 0.9-4                           library for accessing PolicyKit vi
ii  libpolki 0.9-4                           library for accessing PolicyKit
ii  libreadl 5.2-4                           GNU readline and history libraries
ii  libsasl2 2.1.23.dfsg1-1                  Cyrus SASL - authentication abstra
ii  libselin 2.0.82-1                        SELinux shared libraries
ii  libtasn1 2.2-1                           Manage ASN.1 structures (runtime)
ii  libuuid1 1.41.4-1ubuntu1                 universally unique id library
ii  libvirt0 0.6.4-1                         library for interfacing with diffe
ii  libxenst 3.2.1-2                         Xenstore communications library fo
ii  libxml2  2.7.3.dfsg-2                    GNOME XML library
ii  logrotat 3.7.7-3                         Log rotation utility
ii  zlib1g   1:1.2.3.3.dfsg-13               compression library - runtime

Versions of packages libvirt-bin recommends:
ii  bridge-utils               1.4-5         Utilities for configuring the Linu
ii  dnsmasq-base               2.49-1        A small caching DNS proxy and DHCP
ii  iptables                   1.4.4-1       administration tools for packet fi
ii  netcat-openbsd             1.89-3ubuntu1 TCP/IP swiss army knife
ii  qemu                       0.10.4-1      fast processor emulator

Versions of packages libvirt-bin suggests:
ii  policykit                     0.9-4      framework for managing administrat

-- no debconf information

-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are




Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Wed, 05 Aug 2009 14:27:04 GMT) Full text and rfc822 format available.

Notification sent to Tollef Fog Heen <tfheen@err.no>:
Bug acknowledged by developer. (Wed, 05 Aug 2009 14:27:04 GMT) Full text and rfc822 format available.

Message #10 received at 540018-done@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 540018-done@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#540018: libvirt-bin: net-autostart lies about marking network as auto-started
Date: Wed, 5 Aug 2009 16:15:53 +0200
Version: 0.6.5-3

On Wed, Aug 05, 2009 at 09:34:33AM +0200, Tollef Fog Heen wrote:
> Package: libvirt-bin
> Version: 0.6.4-1
> Severity: normal
> 
> I seems like net-autostart doesn't actually do what it says it does:
> 
> : tfheen@qurzaw /etc/libvirt/qemu/networks > ls autostart
> : tfheen@qurzaw /etc/libvirt/qemu/networks > virsh



> libvir: Network Config error : cannot create bridge 'virbr0': Operation not permitted
> 09:29:20.778: warning : remoteReadConfigFile:2569 : Cannot set group when not running as root
> Welcome to virsh, the virtualization interactive terminal.
> 
> Type:  'help' for help with commands
>        'quit' to quit
> 
> virsh # net-autostart default
> Network default marked as autostarted

This way you're accessing qemu://sesson not qemu:///system so autostart
networking can never work. But virsh should of course tell you so, it
does with 0.6.5:

$ virsh -c qemu:///session net-autostart default
16:15:22.919: error : networkLookupByName:974 : Network not found: no network with matching name
libvir: QEMU error : Network not found: no network with matching name
error: failed to get network 'default'
error: Network not found: no network with matching name

Cheers,
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#540018; Package libvirt-bin. (Sat, 08 Aug 2009 08:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Sat, 08 Aug 2009 08:18:02 GMT) Full text and rfc822 format available.

Message #15 received at 540018@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: 540018@bugs.debian.org
Subject: Re: Bug#540018 closed by Guido Günther <agx@sigxcpu.org> (Re: [Pkg-libvirt-maintainers] Bug#540018: libvirt-bin: net-autostart lies about marking network as auto-started)
Date: Sat, 08 Aug 2009 10:17:14 +0200
]]  (Debian Bug Tracking System)

| > libvir: Network Config error : cannot create bridge 'virbr0': Operation not permitted
| > 09:29:20.778: warning : remoteReadConfigFile:2569 : Cannot set group when not running as root
| > Welcome to virsh, the virtualization interactive terminal.
| > 
| > Type:  'help' for help with commands
| >        'quit' to quit
| > 
| > virsh # net-autostart default
| > Network default marked as autostarted
| 
| This way you're accessing qemu://sesson not qemu:///system so autostart
| networking can never work. But virsh should of course tell you so, it
| does with 0.6.5:

So networks are shared between session and system buses?

If so, why is it marked as inactive (but autostarted) on the session
bus and active (and autostarted) on the system bus?

-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#540018; Package libvirt-bin. (Sat, 08 Aug 2009 11:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Sat, 08 Aug 2009 11:03:06 GMT) Full text and rfc822 format available.

Message #20 received at 540018@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Tollef Fog Heen <tfheen@err.no>, 540018@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#540018: closed by Guido Günther <agx@sigxcpu.org> (Re: Bug#540018: libvirt-bin: net-autostart lies about marking network as auto-started)
Date: Sat, 8 Aug 2009 12:50:15 +0200
On Sat, Aug 08, 2009 at 10:17:14AM +0200, Tollef Fog Heen wrote:
> ]]  (Debian Bug Tracking System)
> 
> | > libvir: Network Config error : cannot create bridge 'virbr0': Operation not permitted
> | > 09:29:20.778: warning : remoteReadConfigFile:2569 : Cannot set group when not running as root
> | > Welcome to virsh, the virtualization interactive terminal.
> | > 
> | > Type:  'help' for help with commands
> | >        'quit' to quit
> | > 
> | > virsh # net-autostart default
> | > Network default marked as autostarted
> | 
> | This way you're accessing qemu://sesson not qemu:///system so autostart
> | networking can never work. But virsh should of course tell you so, it
> | does with 0.6.5:
> 
> So networks are shared between session and system buses?
No. qemu:///session only uses user mode networking since you don't have
the necessary privileges to create the tap/bridge devices.

> If so, why is it marked as inactive (but autostarted) on the session
> bus and active (and autostarted) on the system bus?
qemu:///session and qemu:///system are completely independent. You can
e.g. have vms with the same name on qemu:///session and qemu:///system
(autostarted or not). They don't share anything.
Cheers,
 -- Guido




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Oct 2009 07:28:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:28:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.